#include <QFileDialog>

#include "addplaylistitem.h"

AddPlaylistItemDialog::AddPlaylistItemDialog(QWidget *parent)
    : QDialog(parent)
{
    ui.setupUi(this);

    connect(ui.fileBtn, SIGNAL(clicked()), this, SLOT(onFileSelected()));
}

void AddPlaylistItemDialog::onFileSelected()
{
    QString path = QFileDialog::getOpenFileName(this, "Open File or Folder");
    if (! path.isEmpty())
        ui.uriEdit->setText(QString("file://%1").arg(path));
}
